Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 190901 - net-p2p/nicotine+ needs cairo with svg use flag to run
Summary: net-p2p/nicotine+ needs cairo with svg use flag to run
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo net-p2p team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-31 20:13 UTC by Piotr Karbowski
Modified: 2007-09-11 13:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
repaired ebuild (nicotine+-1.2.8.ebuild,1.17 KB, text/plain)
2007-08-31 20:23 UTC, Bartosz Przybylski
Details
repaired ebuild (nicotine+-1.2.8.ebuild,1.20 KB, text/plain)
2007-08-31 20:26 UTC, Bartosz Przybylski
Details
ebuild (nicotine+-1.2.8.ebuild,1.38 KB, text/plain)
2007-09-01 08:19 UTC, Bartosz Przybylski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2007-08-31 20:13:19 UTC
Nicotine+ ebuild don't have dep on cairo with svg flag. To run we need emerged cairo, with svg flag.

sorry about my english.

Reproducible: Always

Steps to Reproduce:
1. Run nicotine without cairo w/ svg flag.
Actual Results:  
wan't run.

Expected Results:  
It shut be run'able.
Comment 1 Bartosz Przybylski 2007-08-31 20:23:20 UTC
Attaching new ebuild.
Hope it will be ok ;) (not tested)
Comment 2 Bartosz Przybylski 2007-08-31 20:23:51 UTC
Created attachment 129709 [details]
repaired ebuild
Comment 3 Bartosz Przybylski 2007-08-31 20:26:06 UTC
Created attachment 129711 [details]
repaired ebuild
Comment 4 Bartosz Przybylski 2007-09-01 08:06:47 UTC
This ebuild is invalid :(
but i promise i will take care of it as soon as it possible
Comment 5 Bartosz Przybylski 2007-09-01 08:19:35 UTC
Created attachment 129753 [details]
ebuild

Really sorry for all the mess with that ebuild.
But i think that now it should work ;) (i hope)
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2007-09-11 11:15:23 UTC
Fixed, thanks.
Comment 7 Santiago M. Mola (RETIRED) gentoo-dev 2007-09-11 13:36:42 UTC
Changes reverted. Nicotine+ doesn't use svg. The problem is that you compile cairo with svg support, then compile pycairo linking against cairo, and then install cairo without svg support, breaking pycairo.